#ifndef __config_h
#define __config_h
#include "platform.h"

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// pic_rf include
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

/*
// For breadboard testing

#define rf_ce_port PORTB
#define rf_ce_pin  1

#define rf_dr1_port PORTB
#define rf_dr1_pin  0

#define rf_cs_port PORTB
#define rf_cs_pin 3

#define rf_data_port PORTB
#define rf_data_pin 7

#define rf_clk1_port PORTB
#define rf_clk1_pin 6
*/

// For SFE_TDN_V1 board

#define rf_ce_port PORTA
#define rf_ce_pin  6

#define rf_dr1_port PORTA
#define rf_dr1_pin  3

#define rf_cs_port PORTA
#define rf_cs_pin 0

#define rf_data_port PORTA
#define rf_data_pin 2

#define rf_clk1_port PORTA
#define rf_clk1_pin 1

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 


// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// pic_packet defines
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

#define PKT_TX_QUEUE_SIZE 3
#define PKT_SEEN_LIST_SIZE 10
#define PKT_SEND_MAX_TRIES 3
#define PKT_RESEND_TICK_DELAY 5000

#define PKT_PAYLOAD_SIZE 8

#define PKT_USE_2401A
//#define PKT_USE_24L01
//#define PKT_DEBUG

// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 20
#define SERIAL_RX_BUFFER_SIZE 4
// enable this define if you want fine-grained control...
//#define SERIAL_DEBUG_ON
//#define SERIAL_IDE_DEBUG
// - - - - - - - - - - - - - - - - - - - - 


// - - - - - - - - - - - - - -
// ds1631 details
// - - - - - - - - - - - - - -

#define i2c_scl_port PORTA
#define i2c_sda_port PORTA
#define i2c_scl_pin  4
#define i2c_sda_pin  7


// Platform definitions
//
//

#define PLATFORM_CLOCK 8000000
#define PLATFORM_TYPE  SFE_TDN_V1


#endif